List MCP Registry Servers
curl --request GET \
--url https://api.enkryptai.com/mcp-registry/list-servers \
--header 'apikey: <api-key>'import requests
url = "https://api.enkryptai.com/mcp-registry/list-servers"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api.enkryptai.com/mcp-registry/list-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"servers": [
{
"saved_name": "<string>",
"server_version": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_url": "<string>",
"source_version": "<string>",
"server_name": "<string>",
"description": "<string>",
"mcp_config": {
"config": {
"command": "npx",
"args": [
"-y",
"@modelcontextprotocol/server-filesystem",
"/tmp"
],
"env": {
"OPENAI_API_KEY": "sk-...",
"LOG_LEVEL": "info"
}
},
"oauth_config": {
"enabled": true,
"is_remote": true,
"OAUTH_VERSION": "2.1",
"OAUTH_GRANT_TYPE": "authorization_code",
"OAUTH_CLIENT_ID": "<string>",
"OAUTH_CLIENT_SECRET": "<string>",
"OAUTH_TOKEN_URL": "<string>",
"OAUTH_AUTHORIZATION_URL": "<string>",
"OAUTH_REDIRECT_URI": "<string>",
"OAUTH_AUDIENCE": "<string>",
"OAUTH_ORGANIZATION": "<string>",
"OAUTH_SCOPE": "read write",
"OAUTH_RESOURCE": "<string>",
"OAUTH_USE_PKCE": true,
"OAUTH_CODE_CHALLENGE_METHOD": "S256",
"OAUTH_TOKEN_EXPIRY_BUFFER": 300,
"OAUTH_USE_BASIC_AUTH": true,
"OAUTH_ENFORCE_HTTPS": true,
"OAUTH_TOKEN_IN_HEADER_ONLY": true,
"OAUTH_VALIDATE_SCOPES": true,
"OAUTH_USE_MTLS": true,
"OAUTH_CLIENT_CERT_PATH": "<string>",
"OAUTH_CLIENT_KEY_PATH": "<string>",
"OAUTH_CA_BUNDLE_PATH": "<string>",
"OAUTH_REVOCATION_URL": "<string>",
"OAUTH_ADDITIONAL_PARAMS": {},
"OAUTH_CUSTOM_HEADERS": {}
},
"tools": {},
"denied_tools": [
"delete_*",
{
"name": "write_file",
"reason": "destructive"
}
],
"input_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
},
"output_guardrails_config": {
"enabled": true,
"guardrail_name": "<string>",
"additional_config": {},
"block": []
}
},
"registry_id": "<string>",
"registry_name": "<string>",
"project_name": "<string>",
"is_active": true,
"is_sample": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123,
"has_next": true,
"has_previous": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}๐๏ธ MCP Registry Servers API
List MCP Registry Servers
List all MCP registry servers for the authenticated user with pagination support.
GET
/
mcp-registry
/
list-servers
List MCP Registry Servers
Authorizations
Query Parameters
Page number (1-indexed)
Required range:
x >= 1Example:
1
Number of items per page (max 100)
Required range:
1 <= x <= 100Example:
10
Optional filter on the is_active column. Omit to return all rows (default behaviour). Set to true for active-only or false for inactive-only.
โI

